Index: validation/DelphesValidation.cpp
===================================================================
--- validation/DelphesValidation.cpp	(revision 5107603364acdad8e994549206002d7247bab770)
+++ validation/DelphesValidation.cpp	(revision 6455202899ab4afd733c9cc0b4d78dd392cbb843)
@@ -1825,74 +1790,71 @@
   pave->Draw();
 
-  c_trkele_eff_eta->Print(pdfOutput,"pdf");
-  c_trkele_eff_eta->Print(figPath+"img_trkele_eff_eta.pdf","pdf");
-  c_trkele_eff_eta->Print(figPath+"img_trkele_eff_eta.png","png");
-
+  c_trkele_eff_eta->Print(pdfOutput, "pdf");
+  c_trkele_eff_eta->Print(figPath + "img_trkele_eff_eta.pdf", "pdf");
+  c_trkele_eff_eta->Print(figPath + "img_trkele_eff_eta.png", "png");
 
   // --------- Muon Tracks  --------- //
 
-  TMultiGraph *mg_trkmu_res_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkmu_eff_pt  = new TMultiGraph("","");
-  TMultiGraph *mg_trkmu_res_eta = new TMultiGraph("","");
-  TMultiGraph *mg_trkmu_eff_eta = new TMultiGraph("","");
-
-  TLegend *leg_trkmu_res_pt = new TLegend(0.55,0.22,0.90,0.48);
-  TLegend *leg_trkmu_eff_pt = (TLegend*)leg_trkmu_res_pt->Clone();
-
-  TLegend *leg_trkmu_res_eta = (TLegend*)leg_trkmu_res_pt->Clone();
-  TLegend *leg_trkmu_eff_eta = (TLegend*)leg_trkmu_res_eta->Clone();
-
-
-  TGraphErrors *gr_trkmu_res_pt  = new TGraphErrors[n_etabins];
-  TGraphErrors *gr_trkmu_eff_pt  = new TGraphErrors[n_etabins];
+  TMultiGraph *mg_trkmu_res_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkmu_eff_pt = new TMultiGraph("", "");
+  TMultiGraph *mg_trkmu_res_eta = new TMultiGraph("", "");
+  TMultiGraph *mg_trkmu_eff_eta = new TMultiGraph("", "");
+
+  TLegend *leg_trkmu_res_pt = new TLegend(0.55, 0.22, 0.90, 0.48);
+  TLegend *leg_trkmu_eff_pt = (TLegend *)leg_trkmu_res_pt->Clone();
+
+  TLegend *leg_trkmu_res_eta = (TLegend *)leg_trkmu_res_pt->Clone();
+  TLegend *leg_trkmu_eff_eta = (TLegend *)leg_trkmu_res_eta->Clone();
+
+  TGraphErrors *gr_trkmu_res_pt = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_trkmu_eff_pt = new TGraphErrors[n_etabins];
   TGraphErrors *gr_trkmu_res_eta = new TGraphErrors[n_ptbins];
   TGraphErrors *gr_trkmu_eff_eta = new TGraphErrors[n_ptbins];
 
-  TH1D* h_trkmu_eff_pt, *h_trkmu_eff_eta;
-
-  std::vector<resolPlot> *plots_trkmu_res_pt   = new std::vector<resolPlot>[n_etabins];
-  std::vector<resolPlot> *plots_trkmu_res_eta  = new std::vector<resolPlot>[n_ptbins];
+  TH1D *h_trkmu_eff_pt, *h_trkmu_eff_eta;
+
+  std::vector<resolPlot> *plots_trkmu_res_pt = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_trkmu_res_eta = new std::vector<resolPlot>[n_ptbins];
 
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     HistogramsCollection(&plots_trkmu_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkmu");
-     GetPtres<Track>(&plots_trkmu_res_pt[k], branchTrackMuon, branchParticleMuon, 13, etaVals.at(k), etaVals.at(k+1), treeReaderMuon);
-     gr_trkmu_res_pt[k] = EresGraph(&plots_trkmu_res_pt[k]);
-
-     h_trkmu_eff_pt = GetEffPt<Track>(branchTrackMuon, branchParticleMuon, "Muon", 13, ptMin, ptMax, etaVals.at(k), etaVals.at(k+1), treeReaderMuon);
-     gr_trkmu_eff_pt[k] = TGraphErrors(h_trkmu_eff_pt);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-
-     s_eta = "#mu^{ #pm} , " + s_etaMin + " < | #eta | < "+s_etaMax;
-
-     gr_trkmu_res_pt[k].SetName("trkRes_"+s_etaMin+"_"+s_etaMax);
-     gr_trkmu_eff_pt[k].SetName("trkEff_"+s_etaMin+"_"+s_etaMax);
-
-     addResoGraph(mg_trkmu_res_pt, &gr_trkmu_res_pt[k], leg_trkmu_res_pt, markerStyles.at(k), colors.at(k), s_eta);
-     addResoGraph(mg_trkmu_eff_pt, &gr_trkmu_eff_pt[k], leg_trkmu_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    HistogramsCollection(&plots_trkmu_res_pt[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkmu");
+    GetPtres<Track>(&plots_trkmu_res_pt[k], branchTrackMuon, branchParticleMuon, 13, etaVals.at(k), etaVals.at(k + 1), treeReaderMuon);
+    gr_trkmu_res_pt[k] = EresGraph(&plots_trkmu_res_pt[k]);
+
+    h_trkmu_eff_pt = GetEffPt<Track>(branchTrackMuon, branchParticleMuon, "Muon", 13, ptMin, ptMax, etaVals.at(k), etaVals.at(k + 1), treeReaderMuon);
+    gr_trkmu_eff_pt[k] = TGraphErrors(h_trkmu_eff_pt);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+
+    s_eta = "#mu^{ #pm} , " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    gr_trkmu_res_pt[k].SetName("trkRes_" + s_etaMin + "_" + s_etaMax);
+    gr_trkmu_eff_pt[k].SetName("trkEff_" + s_etaMin + "_" + s_etaMax);
+
+    addResoGraph(mg_trkmu_res_pt, &gr_trkmu_res_pt[k], leg_trkmu_res_pt, markerStyles.at(k), colors.at(k), s_eta);
+    addResoGraph(mg_trkmu_eff_pt, &gr_trkmu_eff_pt[k], leg_trkmu_eff_pt, markerStyles.at(k), colors.at(k), s_eta);
   }
 
   // loop over pt
-  for (k = 0; k < ptVals.size(); k++)
-  {
-     HistogramsCollectionVsEta(&plots_trkmu_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "trkmu", 0.0, 2.0);
-     GetPtresVsEta<Track>(&plots_trkmu_res_eta[k], branchTrackMuon, branchParticleMuon, 13, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderMuon);
-     gr_trkmu_res_eta[k] = EresGraphVsEta(&plots_trkmu_res_eta[k]);
-
-     h_trkmu_eff_eta = GetEffEta<Track>(branchTrackMuon, branchParticleMuon, "Muon", 13, 0.5*ptVals.at(k), 2.0*ptVals.at(k) ,etaMin, etaMax , treeReaderMuon);
-     gr_trkmu_eff_eta[k] = TGraphErrors(h_trkmu_eff_eta);
-
-     s_pt = Form("#mu^{ #pm} , p_{T} = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_pt = Form("#mu^{ #pm} , p_{T} = %.0f TeV",ptVals.at(k)/1000.);
-
-     addResoGraph(mg_trkmu_res_eta, &gr_trkmu_res_eta[k], leg_trkmu_res_eta, markerStyles.at(k), colors.at(k), s_pt );
-     addResoGraph(mg_trkmu_eff_eta, &gr_trkmu_eff_eta[k], leg_trkmu_eff_eta, markerStyles.at(k), colors.at(k), s_pt );
-
-  }
-
-  TCanvas *c_trkmu_res_pt = new TCanvas("","", 800, 600);
+  for(k = 0; k < ptVals.size(); k++)
+  {
+    HistogramsCollectionVsEta(&plots_trkmu_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "trkmu", 0.0, 2.0);
+    GetPtresVsEta<Track>(&plots_trkmu_res_eta[k], branchTrackMuon, branchParticleMuon, 13, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderMuon);
+    gr_trkmu_res_eta[k] = EresGraphVsEta(&plots_trkmu_res_eta[k]);
+
+    h_trkmu_eff_eta = GetEffEta<Track>(branchTrackMuon, branchParticleMuon, "Muon", 13, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), etaMin, etaMax, treeReaderMuon);
+    gr_trkmu_eff_eta[k] = TGraphErrors(h_trkmu_eff_eta);
+
+    s_pt = Form("#mu^{ #pm} , p_{T} = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_pt = Form("#mu^{ #pm} , p_{T} = %.0f TeV", ptVals.at(k) / 1000.);
+
+    addResoGraph(mg_trkmu_res_eta, &gr_trkmu_res_eta[k], leg_trkmu_res_eta, markerStyles.at(k), colors.at(k), s_pt);
+    addResoGraph(mg_trkmu_eff_eta, &gr_trkmu_eff_eta[k], leg_trkmu_eff_eta, markerStyles.at(k), colors.at(k), s_pt);
+  }
+
+  TCanvas *c_trkmu_res_pt = new TCanvas("", "", 800, 600);
 
   mg_trkmu_res_pt->Draw("APE");
@@ -1901,9 +1863,9 @@
   pave->Draw();
 
-  c_trkmu_res_pt->Print(pdfOutput,"pdf");
-  c_trkmu_res_pt->Print(figPath+"img_trkmu_res_pt.pdf","pdf");
-  c_trkmu_res_pt->Print(figPath+"img_trkmu_res_pt.png","png");
-
-  TCanvas *c_trkmu_res_eta = new TCanvas("","", 800, 600);
+  c_trkmu_res_pt->Print(pdfOutput, "pdf");
+  c_trkmu_res_pt->Print(figPath + "img_trkmu_res_pt.pdf", "pdf");
+  c_trkmu_res_pt->Print(figPath + "img_trkmu_res_pt.png", "png");
+
+  TCanvas *c_trkmu_res_eta = new TCanvas("", "", 800, 600);
 
   mg_trkmu_res_eta->Draw("APE");
@@ -1912,9 +1874,9 @@
   pave->Draw();
 
-  c_trkmu_res_eta->Print(pdfOutput,"pdf");
-  c_trkmu_res_eta->Print(figPath+"img_trkmu_res_eta.pdf","pdf");
-  c_trkmu_res_eta->Print(figPath+"img_trkmu_res_eta.png","png");
-
-  TCanvas *c_trkmu_eff_pt = new TCanvas("","", 800, 600);
+  c_trkmu_res_eta->Print(pdfOutput, "pdf");
+  c_trkmu_res_eta->Print(figPath + "img_trkmu_res_eta.pdf", "pdf");
+  c_trkmu_res_eta->Print(figPath + "img_trkmu_res_eta.png", "png");
+
+  TCanvas *c_trkmu_eff_pt = new TCanvas("", "", 800, 600);
 
   mg_trkmu_eff_pt->Draw("APE");
@@ -1923,9 +1885,9 @@
   pave->Draw();
 
-  c_trkmu_eff_pt->Print(pdfOutput,"pdf");
-  c_trkmu_eff_pt->Print(figPath+"img_trkmu_eff_pt.pdf","pdf");
-  c_trkmu_eff_pt->Print(figPath+"img_trkmu_eff_pt.png","png");
-
-  TCanvas *c_trkmu_eff_eta = new TCanvas("","", 800, 600);
+  c_trkmu_eff_pt->Print(pdfOutput, "pdf");
+  c_trkmu_eff_pt->Print(figPath + "img_trkmu_eff_pt.pdf", "pdf");
+  c_trkmu_eff_pt->Print(figPath + "img_trkmu_eff_pt.png", "png");
+
+  TCanvas *c_trkmu_eff_eta = new TCanvas("", "", 800, 600);
 
   mg_trkmu_eff_eta->Draw("APE");
@@ -1934,8 +1896,7 @@
   pave->Draw();
 
-  c_trkmu_eff_eta->Print(pdfOutput,"pdf");
-  c_trkmu_eff_eta->Print(figPath+"img_trkmu_eff_eta.pdf","pdf");
-  c_trkmu_eff_eta->Print(figPath+"img_trkmu_eff_eta.png","png");
-
+  c_trkmu_eff_eta->Print(pdfOutput, "pdf");
+  c_trkmu_eff_eta->Print(figPath + "img_trkmu_eff_eta.pdf", "pdf");
+  c_trkmu_eff_eta->Print(figPath + "img_trkmu_eff_eta.png", "png");
 
   //////////////////////
@@ -1943,60 +1904,59 @@
   //////////////////////
 
-
-  TMultiGraph *mg_ecal_res_e  = new TMultiGraph("","");
-  TMultiGraph *mg_ecal_res_eta = new TMultiGraph("","");
-
-  TLegend *leg_ecal_res_e = new TLegend(0.55,0.64,0.90,0.90);
-  TLegend *leg_ecal_res_eta = new TLegend(0.60,0.59,0.95,0.90);
-
-  TGraphErrors *gr_ecal_res_e    = new TGraphErrors[n_etabins];
-  TGraphErrors *gr_ecal_res_eta  = new TGraphErrors[n_ptbins];
-
-  std::vector<resolPlot> *plots_ecal_res_e   = new std::vector<resolPlot>[n_etabins];
+  TMultiGraph *mg_ecal_res_e = new TMultiGraph("", "");
+  TMultiGraph *mg_ecal_res_eta = new TMultiGraph("", "");
+
+  TLegend *leg_ecal_res_e = new TLegend(0.55, 0.64, 0.90, 0.90);
+  TLegend *leg_ecal_res_eta = new TLegend(0.60, 0.59, 0.95, 0.90);
+
+  TGraphErrors *gr_ecal_res_e = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_ecal_res_eta = new TGraphErrors[n_ptbins];
+
+  std::vector<resolPlot> *plots_ecal_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_ecal_res_eta = new std::vector<resolPlot>[n_ptbins];
 
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     HistogramsCollection(&plots_ecal_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "ecal");
-     GetEres<Tower>(&plots_ecal_res_e[k], branchTowerPhoton, branchParticlePhoton, 22, etaVals.at(k), etaVals.at(k+1), treeReaderPhoton);
-     gr_ecal_res_e[k] = EresGraph(&plots_ecal_res_e[k]);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-
-     s_eta = "#gamma , " + s_etaMin + " < | #eta | < "+s_etaMax;
-
-     gr_ecal_res_e[k].SetName("trkRes_"+s_etaMin+"_"+s_etaMax);
-
-     addResoGraph(mg_ecal_res_e, &gr_ecal_res_e[k], leg_ecal_res_e, markerStyles.at(k), colors.at(k), s_eta);
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    HistogramsCollection(&plots_ecal_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "ecal");
+    GetEres<Tower>(&plots_ecal_res_e[k], branchTowerPhoton, branchParticlePhoton, 22, etaVals.at(k), etaVals.at(k + 1), treeReaderPhoton);
+    gr_ecal_res_e[k] = EresGraph(&plots_ecal_res_e[k]);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+
+    s_eta = "#gamma , " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    gr_ecal_res_e[k].SetName("trkRes_" + s_etaMin + "_" + s_etaMax);
+
+    addResoGraph(mg_ecal_res_e, &gr_ecal_res_e[k], leg_ecal_res_e, markerStyles.at(k), colors.at(k), s_eta);
   }
 
   // loop over pt
-  for (k = 0; k < ptVals.size(); k++)
-  {
-     HistogramsCollectionVsEta(&plots_ecal_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "ecal", 0.0, 2.0);
-     GetEresVsEta<Tower>(&plots_ecal_res_eta[k], branchTowerPhoton, branchParticlePhoton, 22, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderPhoton);
-     gr_ecal_res_eta[k] = EresGraphVsEta(&plots_ecal_res_eta[k]);
-
-     s_e = Form("#gamma , E = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_e = Form("#gamma , E = %.0f TeV",ptVals.at(k)/1000.);
-
-     addResoGraph(mg_ecal_res_eta, &gr_ecal_res_eta[k], leg_ecal_res_eta, markerStyles.at(k), colors.at(k), s_e );
-  }
-
-  TCanvas *c_ecal_res_e = new TCanvas("","", 800, 600);
+  for(k = 0; k < ptVals.size(); k++)
+  {
+    HistogramsCollectionVsEta(&plots_ecal_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "ecal", 0.0, 2.0);
+    GetEresVsEta<Tower>(&plots_ecal_res_eta[k], branchTowerPhoton, branchParticlePhoton, 22, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderPhoton);
+    gr_ecal_res_eta[k] = EresGraphVsEta(&plots_ecal_res_eta[k]);
+
+    s_e = Form("#gamma , E = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_e = Form("#gamma , E = %.0f TeV", ptVals.at(k) / 1000.);
+
+    addResoGraph(mg_ecal_res_eta, &gr_ecal_res_eta[k], leg_ecal_res_eta, markerStyles.at(k), colors.at(k), s_e);
+  }
+
+  TCanvas *c_ecal_res_e = new TCanvas("", "", 800, 600);
 
   mg_ecal_res_e->Draw("APE");
- // DrawAxis(mg_ecal_res_e, leg_ecal_res_e, ptMin, ptMax, 0.5, 100, "E [GeV]", "(ECAL resolution in E)/E (%)", true, true);
+  // DrawAxis(mg_ecal_res_e, leg_ecal_res_e, ptMin, ptMax, 0.5, 100, "E [GeV]", "(ECAL resolution in E)/E (%)", true, true);
   DrawAxis(mg_ecal_res_e, leg_ecal_res_e, ptMin, ptMax, 0.0, 20, "E [GeV]", "(ECAL resolution in E)/E (%)", true, false);
   leg_ecal_res_e->Draw();
   pave->Draw();
 
-  c_ecal_res_e->Print(pdfOutput,"pdf");
-  c_ecal_res_e->Print(figPath+"img_ecal_res_e.pdf","pdf");
-  c_ecal_res_e->Print(figPath+"img_ecal_res_e.png","png");
-
-  TCanvas *c_ecal_res_eta = new TCanvas("","", 800, 600);
+  c_ecal_res_e->Print(pdfOutput, "pdf");
+  c_ecal_res_e->Print(figPath + "img_ecal_res_e.pdf", "pdf");
+  c_ecal_res_e->Print(figPath + "img_ecal_res_e.png", "png");
+
+  TCanvas *c_ecal_res_eta = new TCanvas("", "", 800, 600);
 
   mg_ecal_res_eta->Draw("APE");
@@ -2006,7 +1966,7 @@
   pave->Draw();
 
-  c_ecal_res_eta->Print(pdfOutput,"pdf");
-  c_ecal_res_eta->Print(figPath+"img_ecal_res_eta.pdf","pdf");
-  c_ecal_res_eta->Print(figPath+"img_ecal_res_eta.png","png");
+  c_ecal_res_eta->Print(pdfOutput, "pdf");
+  c_ecal_res_eta->Print(figPath + "img_ecal_res_eta.pdf", "pdf");
+  c_ecal_res_eta->Print(figPath + "img_ecal_res_eta.png", "png");
 
   //////////////////////
@@ -2014,50 +1974,48 @@
   //////////////////////
 
-
-  TMultiGraph *mg_hcal_res_e  = new TMultiGraph("","");
-  TMultiGraph *mg_hcal_res_eta = new TMultiGraph("","");
-
-  TLegend *leg_hcal_res_e = new TLegend(0.55,0.64,0.90,0.90);
-  TLegend *leg_hcal_res_eta = new TLegend(0.60,0.59,0.95,0.90);
-
-  TGraphErrors *gr_hcal_res_e   = new TGraphErrors[n_etabins];
+  TMultiGraph *mg_hcal_res_e = new TMultiGraph("", "");
+  TMultiGraph *mg_hcal_res_eta = new TMultiGraph("", "");
+
+  TLegend *leg_hcal_res_e = new TLegend(0.55, 0.64, 0.90, 0.90);
+  TLegend *leg_hcal_res_eta = new TLegend(0.60, 0.59, 0.95, 0.90);
+
+  TGraphErrors *gr_hcal_res_e = new TGraphErrors[n_etabins];
   TGraphErrors *gr_hcal_res_eta = new TGraphErrors[n_ptbins];
 
-  std::vector<resolPlot> *plots_hcal_res_e   = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_hcal_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_hcal_res_eta = new std::vector<resolPlot>[n_ptbins];
 
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     HistogramsCollection(&plots_hcal_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "hcal");
-     GetEres<Tower>(&plots_hcal_res_e[k], branchTowerNeutralHadron, branchParticleNeutralHadron, 2112, etaVals.at(k), etaVals.at(k+1), treeReaderNeutralHadron);
-
-     gr_hcal_res_e[k] = EresGraph(&plots_hcal_res_e[k]);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-
-     s_eta = "n , " + s_etaMin + " < | #eta | < "+s_etaMax;
-
-     gr_hcal_res_e[k].SetName("trkRes_"+s_etaMin+"_"+s_etaMax);
-
-     addResoGraph(mg_hcal_res_e, &gr_hcal_res_e[k], leg_hcal_res_e, markerStyles.at(k), colors.at(k), s_eta);
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    HistogramsCollection(&plots_hcal_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "hcal");
+    GetEres<Tower>(&plots_hcal_res_e[k], branchTowerNeutralHadron, branchParticleNeutralHadron, 2112, etaVals.at(k), etaVals.at(k + 1), treeReaderNeutralHadron);
+
+    gr_hcal_res_e[k] = EresGraph(&plots_hcal_res_e[k]);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+
+    s_eta = "n , " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    gr_hcal_res_e[k].SetName("trkRes_" + s_etaMin + "_" + s_etaMax);
+
+    addResoGraph(mg_hcal_res_e, &gr_hcal_res_e[k], leg_hcal_res_e, markerStyles.at(k), colors.at(k), s_eta);
   }
 
   // loop over pt
-  for (k = 0; k < ptVals.size(); k++)
-  {
-     HistogramsCollectionVsEta(&plots_hcal_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "hcal", 0.0, 2.0);
-     GetEresVsEta<Tower>(&plots_hcal_res_eta[k], branchTowerNeutralHadron, branchParticleNeutralHadron, 2112, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderNeutralHadron);
-     gr_hcal_res_eta[k] = EresGraphVsEta(&plots_hcal_res_eta[k]);
-
-     s_e = Form("n , E = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_e = Form("n , E = %.0f TeV",ptVals.at(k)/1000.);
-
-     addResoGraph(mg_hcal_res_eta, &gr_hcal_res_eta[k], leg_hcal_res_eta, markerStyles.at(k), colors.at(k), s_e );
-  }
-
-
-  TCanvas *c_hcal_res_e = new TCanvas("","", 800, 600);
+  for(k = 0; k < ptVals.size(); k++)
+  {
+    HistogramsCollectionVsEta(&plots_hcal_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "hcal", 0.0, 2.0);
+    GetEresVsEta<Tower>(&plots_hcal_res_eta[k], branchTowerNeutralHadron, branchParticleNeutralHadron, 2112, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderNeutralHadron);
+    gr_hcal_res_eta[k] = EresGraphVsEta(&plots_hcal_res_eta[k]);
+
+    s_e = Form("n , E = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_e = Form("n , E = %.0f TeV", ptVals.at(k) / 1000.);
+
+    addResoGraph(mg_hcal_res_eta, &gr_hcal_res_eta[k], leg_hcal_res_eta, markerStyles.at(k), colors.at(k), s_e);
+  }
+
+  TCanvas *c_hcal_res_e = new TCanvas("", "", 800, 600);
 
   mg_hcal_res_e->Draw("APE");
@@ -2067,9 +2025,9 @@
   pave->Draw();
 
-  c_hcal_res_e->Print(pdfOutput,"pdf");
-  c_hcal_res_e->Print(figPath+"img_hcal_res_e.pdf","pdf");
-  c_hcal_res_e->Print(figPath+"img_hcal_res_e.png","png");
-
-  TCanvas *c_hcal_res_eta = new TCanvas("","", 800, 600);
+  c_hcal_res_e->Print(pdfOutput, "pdf");
+  c_hcal_res_e->Print(figPath + "img_hcal_res_e.pdf", "pdf");
+  c_hcal_res_e->Print(figPath + "img_hcal_res_e.png", "png");
+
+  TCanvas *c_hcal_res_eta = new TCanvas("", "", 800, 600);
 
   mg_hcal_res_eta->Draw("APE");
@@ -2079,7 +2037,7 @@
   pave->Draw();
 
-  c_hcal_res_eta->Print(pdfOutput,"pdf");
-  c_hcal_res_eta->Print(figPath+"img_hcal_res_eta.pdf","pdf");
-  c_hcal_res_eta->Print(figPath+"img_hcal_res_eta.png","png");
+  c_hcal_res_eta->Print(pdfOutput, "pdf");
+  c_hcal_res_eta->Print(figPath + "img_hcal_res_eta.pdf", "pdf");
+  c_hcal_res_eta->Print(figPath + "img_hcal_res_eta.png", "png");
 
   ////////////////////
@@ -2098,7 +2056,7 @@
   TGraphErrors *gr_trkele_res_eeta = new TGraphErrors[n_ptbins];
 
-  std::vector<resolPlot> *plots_pfele_res_e     = new std::vector<resolPlot>[n_etabins];
-  std::vector<resolPlot> *plots_pfele_res_eta   = new std::vector<resolPlot>[n_ptbins];
-  std::vector<resolPlot> *plots_trkele_res_e    = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_pfele_res_e = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_pfele_res_eta = new std::vector<resolPlot>[n_ptbins];
+  std::vector<resolPlot> *plots_trkele_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_trkele_res_eeta = new std::vector<resolPlot>[n_ptbins];
 
@@ -2106,87 +2064,82 @@
   TCanvas *c_pfele_res_eta[n_ptbins];
 
-
   // loop over eta bins
-  for (k = 0; k < etaVals.size()-1; k++)
-  {
-     mg_pfele_res_e[k] = new TMultiGraph("","");
-     leg_pfele_res_e[k] = new TLegend(0.40,0.60,0.75,0.90);
-
-     HistogramsCollection(&plots_pfele_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "pfele");
-     GetEres<Electron>(&plots_pfele_res_e[k], branchElectronPF, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k+1), treeReaderElectron);
-     gr_pfele_res_e[k] = EresGraph(&plots_pfele_res_e[k]);
-
-     HistogramsCollection(&plots_trkele_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkele");
-     GetEres<Track>(&plots_trkele_res_e[k], branchTrackElectron, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k+1), treeReaderElectron);
-     gr_trkele_res_e[k] = EresGraph(&plots_trkele_res_e[k]);
-
-     s_etaMin = Form("%.1f",etaVals.at(k));
-     s_etaMax = Form("%.1f",etaVals.at(k+1));
-     s_eta    = "e^{ #pm}, "+ s_etaMin + " < | #eta | < " + s_etaMax;
-
-     leg_pfele_res_e[k]->SetTextFont(132);
-     leg_pfele_res_e[k]->SetHeader(s_eta);
-
-     addResoGraph(mg_pfele_res_e[k], &gr_ecal_res_e[k], leg_pfele_res_e[k], markerStyles.at(0), colors.at(0), "ECAL");
-     addResoGraph(mg_pfele_res_e[k], &gr_trkele_res_e[k], leg_pfele_res_e[k], markerStyles.at(1), colors.at(1), "Track");
-     addResoGraph(mg_pfele_res_e[k], &gr_pfele_res_e[k], leg_pfele_res_e[k], markerStyles.at(2), colors.at(2), "Particle-flow");
-
-     c_pfele_res_e[k] = new TCanvas("","", 800, 600);
-
-     mg_pfele_res_e[k]->Draw("APE");
-     //DrawAxis(mg_pfele_res_e[k], leg_pfele_res_e[k], ptMin, ptMax, 0.1, 100, "E [GeV]", "(resolution in E)/E (%)", true, true);
-     DrawAxis(mg_pfele_res_e[k], leg_pfele_res_e[k], ptMin, ptMax, 0.0, 20, "E [GeV]", "(resolution in E)/E (%)", true, false);
-     leg_pfele_res_e[k]->Draw();
-     pave->Draw();
-
-     TString s_etarange = "eta_"+s_etaMin+"_"+s_etaMax+"_";
-
-     c_pfele_res_e[k]->Print(pdfOutput,"pdf");
-     c_pfele_res_e[k]->Print(figPath+"img_pfele_res_"+s_etarange+"e.pdf","pdf");
-     c_pfele_res_e[k]->Print(figPath+"img_pfele_res_"+s_etarange+"e.png","png");
-
-  }
-
-
-    // loop over eta bins
-  for (k = 0; k < ptVals.size(); k++)
-  {
-
-     mg_pfele_res_eta[k] = new TMultiGraph("","");
-     leg_pfele_res_eta[k] = new TLegend(0.40,0.60,0.75,0.90);
-
-     HistogramsCollectionVsEta(&plots_pfele_res_eta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "pfele", 0.0, 2.0);
-     GetEresVsEta<Electron>(&plots_pfele_res_eta[k], branchElectronPF, branchParticleElectron, 11, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderElectron);
-     gr_pfele_res_eta[k] = EresGraphVsEta(&plots_pfele_res_eta[k]);
-
-     HistogramsCollectionVsEta(&plots_trkele_res_eeta[k], etaMin, etaMax, 0.5*ptVals.at(k), 2.0*ptVals.at(k), "trkele", 0.0, 2.0);
-     GetEresVsEta<Track>(&plots_trkele_res_eeta[k], branchTrackElectron, branchParticleElectron, 11, 0.5*ptVals.at(k), 2.0*ptVals.at(k), treeReaderElectron);
-     gr_trkele_res_eeta[k] = EresGraphVsEta(&plots_trkele_res_eeta[k]);
-
-     s_e = Form("e^{ #pm}, E = %.0f GeV",ptVals.at(k));
-     if(ptVals.at(k) >= 1000.) s_e = Form("e^{ #pm}, E = %.0f TeV",ptVals.at(k)/1000.);
-
-
-     leg_pfele_res_eta[k]->SetTextFont(132);
-     leg_pfele_res_eta[k]->SetHeader(s_e);
-
-     addResoGraph(mg_pfele_res_eta[k], &gr_ecal_res_eta[k], leg_pfele_res_eta[k], markerStyles.at(0), colors.at(0), "ECAL");
-     addResoGraph(mg_pfele_res_eta[k], &gr_trkele_res_eeta[k], leg_pfele_res_eta[k], markerStyles.at(1), colors.at(1), "Track");
-     addResoGraph(mg_pfele_res_eta[k], &gr_pfele_res_eta[k], leg_pfele_res_eta[k], markerStyles.at(2), colors.at(2), "Particle-flow");
-
-     c_pfele_res_eta[k] = new TCanvas("","", 800, 600);
-
-     mg_pfele_res_eta[k]->Draw("APE");
-     //DrawAxis(mg_pfele_res_eta[k], leg_pfele_res_eta[k], etaMin, etaMax, 0.1, 1000, "#eta", "(resolution in E)/E (%)", false, true);
-     DrawAxis(mg_pfele_res_eta[k], leg_pfele_res_eta[k], etaMin, etaMax, 0.0, 50, "#eta", "(resolution in E)/E (%)", false, false);
-     leg_pfele_res_eta[k]->Draw();
-     pave->Draw();
-
-     TString s_ptrange = Form("pt_%.0f_",ptVals.at(k));
-
-     c_pfele_res_eta[k]->Print(pdfOutput,"pdf");
-     c_pfele_res_eta[k]->Print(figPath+"img_pfele_res_"+s_ptrange+"eta.pdf","pdf");
-     c_pfele_res_eta[k]->Print(figPath+"img_pfele_res_"+s_ptrange+"eta.png","png");
-
+  for(k = 0; k < etaVals.size() - 1; k++)
+  {
+    mg_pfele_res_e[k] = new TMultiGraph("", "");
+    leg_pfele_res_e[k] = new TLegend(0.40, 0.60, 0.75, 0.90);
+
+    HistogramsCollection(&plots_pfele_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "pfele");
+    GetEres<Electron>(&plots_pfele_res_e[k], branchElectronPF, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k + 1), treeReaderElectron);
+    gr_pfele_res_e[k] = EresGraph(&plots_pfele_res_e[k]);
+
+    HistogramsCollection(&plots_trkele_res_e[k], TMath::Log10(ptMin), TMath::Log10(ptMax), "trkele");
+    GetEres<Track>(&plots_trkele_res_e[k], branchTrackElectron, branchParticleElectron, 11, etaVals.at(k), etaVals.at(k + 1), treeReaderElectron);
+    gr_trkele_res_e[k] = EresGraph(&plots_trkele_res_e[k]);
+
+    s_etaMin = Form("%.1f", etaVals.at(k));
+    s_etaMax = Form("%.1f", etaVals.at(k + 1));
+    s_eta = "e^{ #pm}, " + s_etaMin + " < | #eta | < " + s_etaMax;
+
+    leg_pfele_res_e[k]->SetTextFont(132);
+    leg_pfele_res_e[k]->SetHeader(s_eta);
+
+    addResoGraph(mg_pfele_res_e[k], &gr_ecal_res_e[k], leg_pfele_res_e[k], markerStyles.at(0), colors.at(0), "ECAL");
+    addResoGraph(mg_pfele_res_e[k], &gr_trkele_res_e[k], leg_pfele_res_e[k], markerStyles.at(1), colors.at(1), "Track");
+    addResoGraph(mg_pfele_res_e[k], &gr_pfele_res_e[k], leg_pfele_res_e[k], markerStyles.at(2), colors.at(2), "Particle-flow");
+
+    c_pfele_res_e[k] = new TCanvas("", "", 800, 600);
+
+    mg_pfele_res_e[k]->Draw("APE");
+    //DrawAxis(mg_pfele_res_e[k], leg_pfele_res_e[k], ptMin, ptMax, 0.1, 100, "E [GeV]", "(resolution in E)/E (%)", true, true);
+    DrawAxis(mg_pfele_res_e[k], leg_pfele_res_e[k], ptMin, ptMax, 0.0, 20, "E [GeV]", "(resolution in E)/E (%)", true, false);
+    leg_pfele_res_e[k]->Draw();
+    pave->Draw();
+
+    TString s_etarange = "eta_" + s_etaMin + "_" + s_etaMax + "_";
+
+    c_pfele_res_e[k]->Print(pdfOutput, "pdf");
+    c_pfele_res_e[k]->Print(figPath + "img_pfele_res_" + s_etarange + "e.pdf", "pdf");
+    c_pfele_res_e[k]->Print(figPath + "img_pfele_res_" + s_etarange + "e.png", "png");
+  }
+
+  // loop over eta bins
+  for(k = 0; k < ptVals.size(); k++)
+  {
+
+    mg_pfele_res_eta[k] = new TMultiGraph("", "");
+    leg_pfele_res_eta[k] = new TLegend(0.40, 0.60, 0.75, 0.90);
+
+    HistogramsCollectionVsEta(&plots_pfele_res_eta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "pfele", 0.0, 2.0);
+    GetEresVsEta<Electron>(&plots_pfele_res_eta[k], branchElectronPF, branchParticleElectron, 11, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderElectron);
+    gr_pfele_res_eta[k] = EresGraphVsEta(&plots_pfele_res_eta[k]);
+
+    HistogramsCollectionVsEta(&plots_trkele_res_eeta[k], etaMin, etaMax, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), "trkele", 0.0, 2.0);
+    GetEresVsEta<Track>(&plots_trkele_res_eeta[k], branchTrackElectron, branchParticleElectron, 11, 0.5 * ptVals.at(k), 2.0 * ptVals.at(k), treeReaderElectron);
+    gr_trkele_res_eeta[k] = EresGraphVsEta(&plots_trkele_res_eeta[k]);
+
+    s_e = Form("e^{ #pm}, E = %.0f GeV", ptVals.at(k));
+    if(ptVals.at(k) >= 1000.) s_e = Form("e^{ #pm}, E = %.0f TeV", ptVals.at(k) / 1000.);
+
+    leg_pfele_res_eta[k]->SetTextFont(132);
+    leg_pfele_res_eta[k]->SetHeader(s_e);
+
+    addResoGraph(mg_pfele_res_eta[k], &gr_ecal_res_eta[k], leg_pfele_res_eta[k], markerStyles.at(0), colors.at(0), "ECAL");
+    addResoGraph(mg_pfele_res_eta[k], &gr_trkele_res_eeta[k], leg_pfele_res_eta[k], markerStyles.at(1), colors.at(1), "Track");
+    addResoGraph(mg_pfele_res_eta[k], &gr_pfele_res_eta[k], leg_pfele_res_eta[k], markerStyles.at(2), colors.at(2), "Particle-flow");
+
+    c_pfele_res_eta[k] = new TCanvas("", "", 800, 600);
+
+    mg_pfele_res_eta[k]->Draw("APE");
+    //DrawAxis(mg_pfele_res_eta[k], leg_pfele_res_eta[k], etaMin, etaMax, 0.1, 1000, "#eta", "(resolution in E)/E (%)", false, true);
+    DrawAxis(mg_pfele_res_eta[k], leg_pfele_res_eta[k], etaMin, etaMax, 0.0, 50, "#eta", "(resolution in E)/E (%)", false, false);
+    leg_pfele_res_eta[k]->Draw();
+    pave->Draw();
+
+    TString s_ptrange = Form("pt_%.0f_", ptVals.at(k));
+
+    c_pfele_res_eta[k]->Print(pdfOutput, "pdf");
+    c_pfele_res_eta[k]->Print(figPath + "img_pfele_res_" + s_ptrange + "eta.pdf", "pdf");
+    c_pfele_res_eta[k]->Print(figPath + "img_pfele_res_" + s_ptrange + "eta.png", "png");
   }
 
@@ -2201,13 +2154,13 @@
   TLegend *leg_pfpi_res_eta[n_ptbins];
 
-  TGraphErrors *gr_pfpi_res_e     = new TGraphErrors[n_etabins];
-  TGraphErrors *gr_pfpi_res_eta   = new TGraphErrors[n_ptbins];
-
-  TGraphErrors *gr_trkpi_res_e    = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_pfpi_res_e = new TGraphErrors[n_etabins];
+  TGraphErrors *gr_pfpi_res_eta = new TGraphErrors[n_ptbins];
+
+  TGraphErrors *gr_trkpi_res_e = new TGraphErrors[n_etabins];
   TGraphErrors *gr_trkpi_res_eeta = new TGraphErrors[n_ptbins];
 
-  std::vector<resolPlot> *plots_pfpi_res_e     = new std::vector<resolPlot>[n_etabins];
-  std::vector<resolPlot> *plots_pfpi_res_eta   = new std::vector<resolPlot>[n_ptbins];
-  std::vector<resolPlot> *plots_trkpi_res_e    = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_pfpi_res_e = new std::vector<resolPlot>[n_etabins];
+  std::vector<resolPlot> *plots_pfpi_res_eta = new std::vector<resolPlot>[n_ptbins];
+  std::vector<resolPlot> *plots_trkpi_res_e = new std::vector<resolPlot>[n_etabins];
   std::vector<resolPlot> *plots_trkpi_res_eeta = new std::vector<resolPlot>[n_ptbins];
 
